// Microsoft Visual C++ generated resource script.
//
#include "resource.h"

#define APSTUDIO_READONLY_SYMBOLS
/////////////////////////////////////////////////////////////////////////////
//
// Generated from the TEXTINCLUDE 2 resource.
//
#define APSTUDIO_HIDDEN_SYMBOLS
#include "windows.h"
#undef APSTUDIO_HIDDEN_SYMBOLS

/////////////////////////////////////////////////////////////////////////////
#undef APSTUDIO_READONLY_SYMBOLS

/////////////////////////////////////////////////////////////////////////////
// Russian resources

#if !defined(AFX_RESOURCE_DLL) || defined(AFX_TARG_RUS)
#ifdef _WIN32
LANGUAGE LANG_RUSSIAN, SUBLANG_DEFAULT
#pragma code_page(1251)
#endif //_WIN32

/////////////////////////////////////////////////////////////////////////////
//
// Dialog
//

IDD_CAMERAMAPWSMOD DIALOG  0, 0, 108, 95
STYLE DS_SETFONT | WS_CHILD
FONT 8, "MS Sans Serif"
BEGIN
    GROUPBOX        "Current Camera Object",IDC_STATIC,3,3,102,45,WS_GROUP
    LTEXT           "None",IDC_CAMERA_NAME,10,15,89,8
    CONTROL         "",IDC_PICK,"CustButton",WS_GROUP | WS_TABSTOP,9,29,90,14
    GROUPBOX        "Channel:",IDC_STATIC,3,51,102,41,WS_GROUP
    CONTROL         "Map Channel:",IDC_MAP_CHAN_1,"Button",BS_AUTORADIOBUTTON | WS_GROUP | WS_TABSTOP,9,63,56,10
    CONTROL         "Vertex Color Channel",IDC_MAP_CHAN_0,"Button",BS_AUTORADIOBUTTON,9,76,81,10
    CONTROL         "",IDC_MAP_CHAN_EDIT,"CustEdit",WS_GROUP | WS_TABSTOP,67,63,25,10
    CONTROL         "",IDC_MAP_CHAN_SPIN,"SpinnerControl",WS_GROUP,92,63,7,10
END

IDD_CAMERAMAPOBJ DIALOG  0, 0, 108, 31
STYLE DS_SETFONT | WS_CHILD
FONT 8, "MS Sans Serif"
BEGIN
    CTEXT           "- Any Geometric Object",IDC_STATIC,17,10,74,8
END

IDD_CAMERAMAPMOD DIALOG  0, 0, 108, 95
STYLE DS_SETFONT | WS_CHILD
FONT 8, "MS Sans Serif"
BEGIN
    GROUPBOX        "Current Camera Object",IDC_STATIC,3,3,102,45,WS_GROUP
    LTEXT           "None",IDC_CAMERA_NAME,10,15,89,8
    CONTROL         "",IDC_PICK,"CustButton",WS_GROUP | WS_TABSTOP,9,29,90,14
    GROUPBOX        "Channel:",IDC_STATIC,3,51,102,41,WS_GROUP
    CONTROL         "Map Channel:",IDC_MAP_CHAN_1,"Button",BS_AUTORADIOBUTTON | WS_GROUP | WS_TABSTOP,9,63,56,10
    CONTROL         "Vertex Color Channel",IDC_MAP_CHAN_0,"Button",BS_AUTORADIOBUTTON,9,76,81,10
    CONTROL         "",IDC_MAP_CHAN_EDIT,"CustEdit",WS_GROUP | WS_TABSTOP,67,63,25,10
    CONTROL         "",IDC_MAP_CHAN_SPIN,"SpinnerControl",WS_GROUP,92,63,7,10
END

IDD_SCENEEXPORT_DLG DIALOGEX 0, 0, 232, 148
STYLE DS_SETFONT | DS_MODALFRAME | DS_FIXEDSYS | WS_POPUP | WS_CAPTION | WS_SYSMENU
CAPTION "Export"
FONT 8, "MS Shell Dlg", 0, 0, 0x0
BEGIN
    DEFPUSHBUTTON   "OK",IDOK,66,126,50,14
    PUSHBUTTON      "Cancel",IDCANCEL,120,126,50,14
    CONTROL         "Export meshes",IDC_EXPORTMESHES,"Button",BS_AUTOCHECKBOX | WS_TABSTOP,12,18,96,12
    CONTROL         "Export animations",IDC_EXPORTANIMATIONS,"Button",BS_AUTOCHECKBOX | WS_TABSTOP,126,18,96,12
    GROUPBOX        "Mesh Export",IDC_STATIC,6,6,108,60
    GROUPBOX        "Animation Export",IDC_STATIC,120,6,108,60
    CONTROL         "XML mesh format",IDC_TEXTUALMESHES,"Button",BS_AUTOCHECKBOX | WS_DISABLED | WS_TABSTOP,12,30,96,12
END

IDD_MODELEXPORT_DLG DIALOGEX 0, 0, 226, 173
STYLE DS_SETFONT | DS_MODALFRAME | DS_FIXEDSYS | WS_POPUP | WS_CAPTION | WS_SYSMENU
CAPTION "Export Model"
FONT 8, "MS Shell Dlg", 400, 0, 0x1
BEGIN
    DEFPUSHBUTTON   "OK",IDOK,126,114,96,24
    PUSHBUTTON      "Cancel",IDCANCEL,126,144,96,24
    LISTBOX         IDC_MESHESLIST,12,18,102,120,LBS_SORT | LBS_NOINTEGRALHEIGHT | WS_VSCROLL | WS_TABSTOP
    PUSHBUTTON      "Add",IDC_ADDMESH,12,144,48,18
    PUSHBUTTON      "Remove",IDC_REMOVEMESH,66,144,48,18
    GROUPBOX        "Root bone",IDC_STATIC,126,6,96,30
    EDITTEXT        IDC_ROOTBONENAME,132,18,60,12,ES_AUTOHSCROLL
    PUSHBUTTON      "...",IDC_SELECTROOTBONE,198,18,18,12
    GROUPBOX        "Options",IDC_STATIC,126,42,96,66
    CONTROL         "Add vertex colors",IDC_ADDVERTEXCOLORS,"Button",BS_AUTOCHECKBOX | WS_TABSTOP,132,54,78,12
    GROUPBOX        "Meshes to export",IDC_STATIC,7,6,113,162
    CONTROL         "Embed Textures",IDC_EMBEDTEXTURES,"Button",BS_AUTOCHECKBOX | WS_TABSTOP,132,66,78,12
    CONTROL         "Translate to zero",IDC_MOVETOZERO,"Button",BS_AUTOCHECKBOX | WS_TABSTOP,132,78,78,12
    CONTROL         "Separate by MatID",IDC_SEPARATEBYMATID,"Button",BS_AUTOCHECKBOX | WS_TABSTOP,132,90,78,12
END

IDD_ANIMATIONEXPORT_DLG DIALOGEX 0, 0, 226, 137
STYLE DS_SETFONT | DS_MODALFRAME | DS_FIXEDSYS | WS_POPUP | WS_CAPTION | WS_SYSMENU
CAPTION "Export Animation"
FONT 8, "MS Shell Dlg", 400, 0, 0x1
BEGIN
    DEFPUSHBUTTON   "OK",IDOK,126,78,96,24
    PUSHBUTTON      "Cancel",IDCANCEL,126,108,96,24
    GROUPBOX        "Root Bones",IDC_STATIC,6,42,114,90
    GROUPBOX        "Options",IDC_STATIC,126,6,96,66
    CONTROL         "Export As XML",IDC_EXPORTASXML,"Button",BS_AUTOCHECKBOX | BS_LEFTTEXT | WS_TABSTOP,132,18,84,12
    CONTROL         "Export Origins",IDC_EXPORTPOSITIONS,"Button",BS_AUTOCHECKBOX | BS_LEFTTEXT | WS_TABSTOP,132,42,84,12
    CONTROL         "Export Orientations",IDC_EXPORTROTATIONS,"Button",BS_AUTOCHECKBOX | BS_LEFTTEXT | WS_TABSTOP,132,30,84,12
    CONTROL         "Export Scales",IDC_EXPORTSCALES,"Button",BS_AUTOCHECKBOX | BS_LEFTTEXT | WS_TABSTOP,132,54,84,12
    LISTBOX         IDC_BONESLIST,12,54,102,48,LBS_SORT | LBS_NOINTEGRALHEIGHT | WS_VSCROLL | WS_TABSTOP
    PUSHBUTTON      "Add",ID_ADDBONE,12,108,48,18
    PUSHBUTTON      "Remove",ID_REMOVEBONE,66,108,48,18
    GROUPBOX        "Time Span",IDC_STATIC,6,6,114,30
    CONTROL         "",IDC_SPIN1,"msctls_updown32",UDS_SETBUDDYINT | UDS_ARROWKEYS,48,18,11,12
    EDITTEXT        IDC_EDIT1,12,18,36,12,ES_AUTOHSCROLL
    CONTROL         "",IDC_SPIN2,"msctls_updown32",UDS_SETBUDDYINT | UDS_ARROWKEYS,102,18,11,12
    EDITTEXT        IDC_EDIT2,66,18,36,12,ES_AUTOHSCROLL
END

IDD_NEW_DIALOGUEPARAM DIALOGEX 0, 0, 108, 110
STYLE DS_SETFONT | WS_CHILD | WS_VISIBLE
FONT 8, "MS Sans Serif", 0, 0, 0x1
BEGIN
    CONTROL         "Marker",IDC_DIALOGUE_MARKER,"Button",BS_AUTOCHECKBOX,6,6,38,10
    CONTROL         "Draw on top",IDC_DIALOGUE_DRAWONTOP,"Button",BS_AUTOCHECKBOX | WS_TABSTOP,6,18,55,10
    CONTROL         "Cross",IDC_DIALOGUE_CROSS,"Button",BS_AUTOCHECKBOX | WS_TABSTOP,6,30,34,10
    CONTROL         "Box",IDC_DIALOGUE_BOX,"Button",BS_AUTOCHECKBOX | WS_TABSTOP,6,42,28,10
    CONTROL         "Axis",IDC_DIALOGUE_AXIS,"Button",BS_AUTOCHECKBOX | WS_TABSTOP,6,54,29,10
    CONTROL         "Constant screen size",IDC_DIALOGUE_SCREENSIZE,"Button",BS_AUTOCHECKBOX | WS_TABSTOP,7,66,83,10
    EDITTEXT        IDC_DIALOGUE_SIZE,7,76,40,14,ES_AUTOHSCROLL
    CONTROL         "",IDC_DIALOGUE_SIZESPIN,"msctls_updown32",UDS_ARROWKEYS,50,78,10,14
END

IDD_STATICEXPORT_DLG DIALOGEX 0, 0, 226, 148
STYLE DS_SETFONT | DS_MODALFRAME | DS_FIXEDSYS | WS_POPUP | WS_CAPTION | WS_SYSMENU
CAPTION "Export Static Objects"
FONT 8, "MS Shell Dlg", 400, 0, 0x1
BEGIN
    DEFPUSHBUTTON   "OK",IDOK,126,90,96,24
    PUSHBUTTON      "Cancel",IDCANCEL,126,120,96,24
    LISTBOX         IDC_MESHESLIST,12,18,102,96,LBS_SORT | LBS_NOINTEGRALHEIGHT | WS_VSCROLL | WS_TABSTOP
    PUSHBUTTON      "Add",IDC_ADDMESH,12,120,48,18
    PUSHBUTTON      "Remove",IDC_REMOVEMESH,66,120,48,18
    GROUPBOX        "Meshes to export",IDC_STATIC,7,6,113,138
    GROUPBOX        "Options",IDC_STATIC,126,6,96,78
    CONTROL         "Embed Textures",IDC_EMBEDTEXTURES,"Button",BS_AUTOCHECKBOX | WS_TABSTOP,132,18,68,10
END

IDD_EFFECTEXPORT_DLG DIALOGEX 0, 0, 226, 148
STYLE DS_SETFONT | DS_MODALFRAME | DS_FIXEDSYS | WS_POPUP | WS_CAPTION | WS_SYSMENU
CAPTION "Export Effect"
FONT 8, "MS Shell Dlg", 400, 0, 0x1
BEGIN
    DEFPUSHBUTTON   "OK",IDOK,126,90,96,24
    PUSHBUTTON      "Cancel",IDCANCEL,126,120,96,24
    LISTBOX         IDC_MESHESLIST,12,18,102,96,LBS_SORT | LBS_NOINTEGRALHEIGHT | WS_VSCROLL | WS_TABSTOP
    PUSHBUTTON      "Add",IDC_ADDMESH,12,120,48,18
    PUSHBUTTON      "Remove",IDC_REMOVEMESH,66,120,48,18
    GROUPBOX        "Meshes to export",IDC_STATIC,7,6,113,138
    GROUPBOX        "Options",IDC_STATIC,126,6,96,78
    CONTROL         "Embed Textures",IDC_EMBEDTEXTURES,"Button",BS_AUTOCHECKBOX | WS_TABSTOP,132,18,68,10
    CONTROL         "Export Animation",IDC_EXPORTANIMATIONS,"Button",BS_AUTOCHECKBOX | WS_TABSTOP,132,30,68,10
END

/////////////////////////////////////////////////////////////////////////////
//
// DESIGNINFO
//

#ifdef APSTUDIO_INVOKED
GUIDELINES DESIGNINFO 
BEGIN
    IDD_SCENEEXPORT_DLG, DIALOG
    BEGIN
        LEFTMARGIN, 7
        RIGHTMARGIN, 225
        TOPMARGIN, 7
        BOTTOMMARGIN, 141
    END

    IDD_MODELEXPORT_DLG, DIALOG
    BEGIN
        LEFTMARGIN, 7
        RIGHTMARGIN, 217
        TOPMARGIN, 7
        BOTTOMMARGIN, 154
    END

    IDD_ANIMATIONEXPORT_DLG, DIALOG
    BEGIN
        LEFTMARGIN, 6
        RIGHTMARGIN, 218
        TOPMARGIN, 7
        BOTTOMMARGIN, 130
    END

    IDD_NEW_DIALOGUEPARAM, DIALOG
    BEGIN
        LEFTMARGIN, 7
        TOPMARGIN, 7
    END

    IDD_STATICEXPORT_DLG, DIALOG
    BEGIN
        LEFTMARGIN, 7
        TOPMARGIN, 7
    END
END
#endif    // APSTUDIO_INVOKED


/////////////////////////////////////////////////////////////////////////////
//
// String Table
//

STRINGTABLE 
BEGIN
    IDS_DB_DIALOGUE_CLASS   "Dialogue"
    IDS_DIALOGUE_SIZE       "Size"
    IDS_DIALOGUE_SCREENSIZE "Screen Size"
    IDS_DIALOGUE_PARAMS     "Dialogue Parameters"
    IDS_DIALOGUE_HELPER_NAME "Dialogue"
    IDS_DIALOGUE_DRAWONTOP  "Draw on top"
    IDS_DIALOGUE_CROSS      "Cross"
    IDS_DIALOGUE_CENTERMARKER "Center Marker"
    IDS_DIALOGUE_BOX        "Box"
    IDS_DIALOGUE_AXISTRIPOD "Axis Tripod"
    IDS_DB_DIALOGUEHELPER_CLASS "DialogueHelper"
    IDS_DB_DIALOGUE         "Dialogue"
    IDS_GAME_CATEGORY       "Game Objects"
END

STRINGTABLE 
BEGIN
    IDS_CAMMAPCLASSNAME     "FixedCameraMap"
    IDS_CAMERAMAP           "Fixed Camera Map"
    IDS_CAMERAMAPPING       "Game UV Coordinate Modifiers"
    IDS_MAXSURFACE          "MAX SURFACE"
    IDS_CAMERAMAPBINDING    "Fixed Camera Map Binding"
    IDS_CAMERAMAPMODIFIER   "Fixed Camera Map"
    IDS_CAMMAPTITLE         "Camera mapping modifier and world space modifier (original by Discreet)"
    IDS_CAMMAPOBJECT        "Fixed Camera Mapping Object"
    IDS_CAMERAMAPPINGMODIFIER "Fixed Camera Mapping Modifier"
    IDS_NONE                "None"
    IDS_PICKCAMERA          "Pick Camera"
    IDS_ILLEGALCAM          "Illegal Camera"
    IDS_SOT                 "Supports Objects of Type"
    IDS_SHOULDRESET         "Do you also want to reset the Camera Map modifier\nto inherit the mapping from the new channel?\n\nChanges made within the Camera Map modifier will be lost."
    IDS_SETCHANNEL          "Set UVW Channel"
END

#endif    // Russian resources
/////////////////////////////////////////////////////////////////////////////


/////////////////////////////////////////////////////////////////////////////
// English (U.S.) resources

#if !defined(AFX_RESOURCE_DLL) || defined(AFX_TARG_ENU)
#ifdef _WIN32
LANGUAGE LANG_ENGLISH, SUBLANG_ENGLISH_US
#pragma code_page(1252)
#endif //_WIN32

#ifdef APSTUDIO_INVOKED
/////////////////////////////////////////////////////////////////////////////
//
// TEXTINCLUDE
//

1 TEXTINCLUDE 
BEGIN
    "resource.h\0"
END

2 TEXTINCLUDE 
BEGIN
    "#define APSTUDIO_HIDDEN_SYMBOLS\r\n"
    "#include ""windows.h""\r\n"
    "#undef APSTUDIO_HIDDEN_SYMBOLS\r\n"
    "\0"
END

3 TEXTINCLUDE 
BEGIN
    "\r\n"
    "#include ""veroverrides.h""\r\n"
    "\0"
END

#endif    // APSTUDIO_INVOKED

#endif    // English (U.S.) resources
/////////////////////////////////////////////////////////////////////////////



#ifndef APSTUDIO_INVOKED
/////////////////////////////////////////////////////////////////////////////
//
// Generated from the TEXTINCLUDE 3 resource.
//

#include "veroverrides.h"

/////////////////////////////////////////////////////////////////////////////
#endif    // not APSTUDIO_INVOKED

